# Imagick::raiseImage

(PECL imagick 2.0.0)

Imagick::raiseImage — Creates a simulated 3d button-like effect

### Description

Imagick::raiseImage ( int `$width` , int `$height` , int `$x` , int `$y` , bool `$raise` ) : bool

Creates a simulated three-dimensional button-like effect by lightening and darkening the edges of the image. Members width and height of raise_info define the width of the vertical and horizontal edge of the effect.

### Parameters

`width`

`height`

`x`

`y`

`raise`

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::raiseImage()

`<?php
function raiseImage($imagePath, $width, $height, $x, $y, $raise) {
$imagick = new \Imagick(realpath($imagePath));
//x and y do nothing?
$imagick->raiseImage($width, $height, $x, $y, $raise);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`